Create a new chatbot
curl --request POST \
--url https://api.vectorshift.ai/v1/chatbot \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pipeline": {
"id": "<string>",
"version": "latest"
},
"name": "<string>",
"description": "<string>",
"deployment_options": {},
"access_config": {},
"twilio_config": {},
"slack_config": {},
"deployed": true,
"input": "<string>",
"output": "<string>"
}
'import requests
url = "https://api.vectorshift.ai/v1/chatbot"
payload = {
"pipeline": {
"id": "<string>",
"version": "latest"
},
"name": "<string>",
"description": "<string>",
"deployment_options": {},
"access_config": {},
"twilio_config": {},
"slack_config": {},
"deployed": True,
"input": "<string>",
"output": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
pipeline: {id: '<string>', version: 'latest'},
name: '<string>',
description: '<string>',
deployment_options: {},
access_config: {},
twilio_config: {},
slack_config: {},
deployed: true,
input: '<string>',
output: '<string>'
})
};
fetch('https://api.vectorshift.ai/v1/chatbot', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>"
}{
"status": "failed",
"error": "<string>"
}{}{
"status": "failed",
"error": "<string>"
}Chatbots
Create a new chatbot
POST
/
chatbot
Create a new chatbot
Authorizations
Bearer token authentication using API key
Body
application/jsonmultipart/form-dataapplication/x-www-form-urlencoded
⌘I
